be.fgov.ehealth.insurability.protocol.v2

## Class GetInsurabilityForPharmacistRequest

- java.lang.Object
- - be.fgov.ehealth.commons.protocol.v1.RequestType
  - - be.fgov.ehealth.insurability.protocol.v2.GetInsurabilityForPharmacistRequest

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-03-20T11:25:22+01:00",
                 comments="JAXB RI v2.3.7")
      public class GetInsurabilityForPharmacistRequest
      extends RequestType
      implements Serializable

  GetInsurabilityForPharmacistRequestType

  Java class for GetInsurabilityForPharmacistRequestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="GetInsurabilityForPharmacistRequestType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:commons:protocol:v1}RequestType">
             <sequence>
               <element name="CommonInput" type="{urn:be:fgov:ehealth:insurability:core:v2}CommonInputType"/>
               <element name="RecordCommonInput" type="{urn:be:fgov:ehealth:insurability:core:v2}RecordCommonInputType"/>
               <element name="InsurabilityRequest" type="{urn:be:fgov:ehealth:insurability:core:v2}InsurabilityForPharmacistRequestType"/>
               <element name="ExtendedInformation" type="{urn:be:fgov:ehealth:insurability:core:v2}SamlAttributeType" minOccurs="0"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetInsurabilityForPharmacistRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CommonInputType` | `getCommonInput()` Gets the value of the commonInput property.
    `SamlAttributeType` | `getExtendedInformation()` Gets the value of the extendedInformation property.
    `InsurabilityForPharmacistRequestType` | `getInsurabilityRequest()` Gets the value of the insurabilityRequest property.
    `RecordCommonInputType` | `getRecordCommonInput()` Gets the value of the recordCommonInput property.
    `void` | `setCommonInput(CommonInputType value)` Sets the value of the commonInput property.
    `void` | `setExtendedInformation(SamlAttributeType value)` Sets the value of the extendedInformation property.
    `void` | `setInsurabilityRequest(InsurabilityForPharmacistRequestType value)` Sets the value of the insurabilityRequest property.
    `void` | `setRecordCommonInput(RecordCommonInputType value)` Sets the value of the recordCommonInput property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetInsurabilityForPharmacistRequest

          public GetInsurabilityForPharmacistRequest()

  - ### Method Detail

    - #### getCommonInput

          public CommonInputType getCommonInput()

      Gets the value of the commonInput property.
      Returns:
        possible object is `CommonInputType`

    - #### setCommonInput

          public void setCommonInput(CommonInputType value)

      Sets the value of the commonInput property.
      Parameters:
        `value` - allowed object is `CommonInputType`

    - #### getRecordCommonInput

          public RecordCommonInputType getRecordCommonInput()

      Gets the value of the recordCommonInput property.
      Returns:
        possible object is `RecordCommonInputType`

    - #### setRecordCommonInput

          public void setRecordCommonInput(RecordCommonInputType value)

      Sets the value of the recordCommonInput property.
      Parameters:
        `value` - allowed object is `RecordCommonInputType`

    - #### getInsurabilityRequest

          public InsurabilityForPharmacistRequestType getInsurabilityRequest()

      Gets the value of the insurabilityRequest property.
      Returns:
        possible object is `InsurabilityForPharmacistRequestType`

    - #### setInsurabilityRequest

          public void setInsurabilityRequest(InsurabilityForPharmacistRequestType value)

      Sets the value of the insurabilityRequest property.
      Parameters:
        `value` - allowed object is `InsurabilityForPharmacistRequestType`

    - #### getExtendedInformation

          public SamlAttributeType getExtendedInformation()

      Gets the value of the extendedInformation property.
      Returns:
        possible object is `SamlAttributeType`

    - #### setExtendedInformation

          public void setExtendedInformation(SamlAttributeType value)

      Sets the value of the extendedInformation property.
      Parameters:
        `value` - allowed object is `SamlAttributeType`

Connector Packaging generic 4.7.3 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.